pcl::io::OrganizedConversion< PointT, true > Struct Template Reference

`#include <pcl/compression/organized_pointcloud_conversion.h>`

## Static Public Member Functions

static void | convert (const pcl::PointCloud< PointT > &cloud_arg, float focalLength_arg, float disparityShift_arg, float disparityScale_arg, bool convertToMono, typename std::vector< std::uint16_t > &disparityData_arg, typename std::vector< std::uint8_t > &rgbData_arg)
| Convert point cloud to disparity image and rgb image. More...
static void | convert (typename std::vector< std::uint16_t > &disparityData_arg, typename std::vector< std::uint8_t > &rgbData_arg, bool monoImage_arg, std::size_t width_arg, std::size_t height_arg, float focalLength_arg, float disparityShift_arg, float disparityScale_arg, pcl::PointCloud< PointT > &cloud_arg)
| Convert disparity image to point cloud. More...
static void | convert (typename std::vector< float > &depthData_arg, typename std::vector< std::uint8_t > &rgbData_arg, bool monoImage_arg, std::size_t width_arg, std::size_t height_arg, float focalLength_arg, pcl::PointCloud< PointT > &cloud_arg)
| Convert disparity image to point cloud. More...

## Detailed Description

### template<typename PointT>
struct pcl::io::OrganizedConversion< PointT, true >

Definition at line 261 of file organized_pointcloud_conversion.h.

The documentation for this struct was generated from the following file:

- pcl/compression/organized_pointcloud_conversion.h